<script>
    import Fa from 'svelte-fa';
    import { faCheck, faEdit, faTimes, faTrash } from '@fortawesome/free-solid-svg-icons';
    
    let chosenIcon = faCheck;
    export let icon = '';
    switch(icon) {
        case 'check': {
            chosenIcon = faCheck;
            break;
        }
        case 'trash': {
            chosenIcon = faTrash;
            break;
        }
        case 'x': {
            chosenIcon = faTimes;
            break;
        }
        case 'edit': {
            chosenIcon = faEdit;
            break;
        }
    }

    import { createEventDispatcher } from 'svelte';
    const dispatch = createEventDispatcher();
</script>

<button class="round-btn" on:click={() => dispatch('click', 'detail value')}>
    <Fa icon={chosenIcon} />
</button>

<style lang="scss">
    .round-btn {
        cursor: pointer;
        border-radius: 1em;
        height: 2em;
        width: 2em;
        margin: 5px;
    }
</style>